package com.pmease.quickbuild.plugin.scm.svn;

import com.pmease.quickbuild.annotation.ScriptApi;
import com.pmease.quickbuild.repositorysupport.Revision;

@ScriptApi("This class represents revision of a Subversion repository.")
public class SvnRevision extends Revision {

	private static final long serialVersionUID = 1L;

	private String value;

	public SvnRevision(String value) {
		this.value = value;
	}
	
	@ScriptApi("Get revision of the repository.")
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return value;
	}
	
}
